## cascading.flow.hadoop2
Class Hadoop2MR1Planner

    java.lang.Object
      cascading.flow.planner.FlowPlanner<HadoopFlow,JobConf>
          cascading.flow.hadoop.planner.HadoopPlanner
              cascading.flow.hadoop2.Hadoop2MR1Planner

    public class Hadoop2MR1Planner

extends HadoopPlanner

Field Summary

Fields inherited from class cascading.flow.planner.FlowPlanner
`assertionLevel, checkpointRootPath, debugLevel, properties`

Constructor Summary
`Hadoop2MR1Planner()`

Method Summary
`static void` `copyConfiguration(Map<Object,Object> properties, Configuration configuration)` Method copyJobConf adds the given JobConf values to the given properties object.
`static void` `copyProperties(Configuration configuration, Map<Object,Object> properties)` Method copyProperties adds the given Map values to the given JobConf object.

Methods inherited from class cascading.flow.hadoop.planner.HadoopPlanner
`buildFlow, copyJobConf, copyProperties, createFlow, createJobConf, getCollapseAdjacentTaps, getConfig, getNormalizeHeterogeneousSources, getPlatformInfo, initialize, makeTempTap, setCollapseAdjacentTaps, setNormalizeHeterogeneousSources`

Methods inherited from class cascading.flow.planner.FlowPlanner

`createElementGraph, failOnGroupEverySplit, failOnLoneGroupAssertion, failOnMissingGroup, failOnMisusedBuffer, getProperties, handleExceptionDuringPlanning, handleJobPartitioning, handleJoins, handleNonSafeOperations, insertTempTapAfter, makeTempTap, resolveAssemblyPlanners, resolveTails, verifyAllTaps, verifyAssembly, verifyCheckpoints, verifyPipeAssemblyEndPoints, verifySourceNotSinks, verifyTaps, verifyTraps`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hadoop2MR1Planner

    public Hadoop2MR1Planner()

Method Detail

### copyConfiguration

    public static void copyConfiguration(Map<Object,Object> properties,
                                         Configuration configuration)

  Method copyJobConf adds the given JobConf values to the given properties object. Use this method to pass custom default Hadoop JobConf properties to Hadoop.

  Parameters:
    `properties` - of type Map
    `configuration` - of type JobConf

### copyProperties

    public static void copyProperties(Configuration configuration,
                                      Map<Object,Object> properties)

  Method copyProperties adds the given Map values to the given JobConf object.

  Parameters:
    `configuration` - of type JobConf
    `properties` - of type Map

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.